> ## Documentation Index
> Fetch the complete documentation index at: https://docs.thanx.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get User

> This endpoint will return information for the currently logged in user.

<Note>
  The user's phone number is not gathered by Thanx with the permission to use it
  for marketing.
</Note>

<Note>
  Please review proper request headers [here](/consumer/usage/headers).
</Note>

### Response

<Snippet file="entities/user.mdx" />

<RequestExample>
  ```bash Get User theme={null}
  curl https://api.thanxsandbox.com/users/me \
    -X GET \
    -H "Content-Type: application/json"  \
    -H "Accept-Version: v4.0" \
    -H "Accept: application/json" \
    -H "Authorization: Bearer ${token}" \
    -H "X-ClientId: ${client_id}" 
  ```
</RequestExample>

<ResponseExample>
  ```json Response Example theme={null}
  {
    "user": {
      "id": "wroeiu2304hfwf",
      "email": "john.smith@example.com",
      "phone": "+14158672345",
      "first_name": "Jane",
      "last_name": "Smith",
      "birth_date": {
        "year": 1987,
        "month": 8,
        "day": 14
      },
      "zip_code": "12345"
    }
  }
  ```
</ResponseExample>
